Browse Source

gem: stick with Bundler 1.x until bundle-audit has a new Bundler 2 compatible release

tags/v2.0.0
cn 6 months ago
parent
commit
79db1b1911
2 changed files with 5 additions and 1 deletions
  1. 4
    0
      .travis.yml
  2. 1
    1
      dyndnsd.gemspec

+ 4
- 0
.travis.yml View File

@@ -5,3 +5,7 @@ rvm:
5 5
   - 2.5
6 6
   - 2.4
7 7
   - 2.3
8
+
9
+before_install:
10
+  - gem uninstall -x -i /home/travis/.rvm/gems/ruby-2.3.7@global bundler || true
11
+  - gem install bundler -v '< 2'

+ 1
- 1
dyndnsd.gemspec View File

@@ -27,7 +27,7 @@ Gem::Specification.new do |s|
27 27
   s.add_runtime_dependency 'rack-tracer', '~> 0.8.0'
28 28
   s.add_runtime_dependency 'jaeger-client', '~> 0.10.0'
29 29
 
30
-  s.add_development_dependency 'bundler'
30
+  s.add_development_dependency 'bundler', '< 2'
31 31
   s.add_development_dependency 'rake'
32 32
   s.add_development_dependency 'rspec'
33 33
   s.add_development_dependency 'rack-test'

Loading…
Cancel
Save